window.addEventListener(
  "load",
  function () {
    var popup = getUrlVars()["popup"];
    if (popup == "true") document.body.classList.add("popup");

    var links = document.querySelectorAll("a[href]");
    var i = 0;
    while (!!links[i]) {
      console.log(links[i].href);
      if (
        links[i].href.substr(0, 7) != "mailto:" &&
        links[i].href.indexOf("?") === -1
      ) {
        links[i].href += location.search;
      }
      i++;
    }
  },
  false
);

function getUrlVars() {
  var vars = {};
  var parts = window.location.href.replace(
    /[?&]+([^=&]+)=([^&]*)/gi,
    function (m, key, value) {
      vars[key] = value;
    }
  );
  return vars;
}

window.addEventListener(
  "load",
  function () {
    var links = document.querySelectorAll("a[href]");
    var i = 0;
    while (!!links[i]) {
      if (
        links[i].href.substr(0, 7) != "mailto:" &&
        links[i].href.indexOf("?") === -1
      ) {
        links[i].href += location.search;
      }
      i++;
    }
  },
  false
);

var isSmoothScrollSupported =
  "scrollBehavior" in document.documentElement.style;

function goTo(id) {
  var element = document.querySelector(id);
  var top = element.offsetTop - 40; // iPhones with notch fix

  if (!isSmoothScrollSupported) {
    scrollToTop(document.querySelector(".main-container"), top, 4);
  } else {
    document.querySelector(".main-container").scrollTo({
      top,
      behavior: "smooth",
    });
  }
}

function scrollToTop(elem, to, speed) {
  var start = window.pageYOffset || document.documentElement.scrollTop;
  var maxScrollLength =
    elem.scrollHeight - document.documentElement.clientHeight;
  var increment = 10; // - frequency of animation [ms];

  var currentTime = 0;

  //check target for compliance with restrictions
  switch (true) {
    case to < 0:
      to = 0;
      break;
    case to > maxScrollLength:
      to = maxScrollLength;
      break;
  }
  var scrollLength = to - start;

  // minimal speed, when speed set incorrect;
  if (speed <= 0.5) {
    speed = 1;
  }

  var duration = Math.abs(Math.ceil(scrollLength / speed));
  // minimal animation duration, when the scroll length is too short;
  if (duration < increment) duration = increment;

  (function animateScroll() {
    currentTime += increment;
    if (currentTime <= duration) {
      var time = !isNaN(currentTime / duration) ? currentTime / duration : 1;
      var val = start + scrollLength * easeOutCubic(time);

      elem.scrollTo(0, val);
      window.setTimeout(animateScroll, increment);
    }
    return false;
  })();
}

function easeOutCubic(t) {
  return --t * t * t + 1;
}
